set -g history-limit 500000
set -g default-terminal "tmux-256color"
set -s escape-time 0

setw -g mode-keys vi
set -g mouse on

bind | split-window -h 
bind - split-window -v 

# bind-key -T copy-mode-vi v send-keys -X begin-selection
# bind-key -T copy-mode-vi y send-keys -X copy-pipe-and-cancel "pbcopy" 
# # if using xclip
# bind-key -T copy-mode-vi y send-keys -X copy-pipe-and-cancel "xclip -in -selection clipboard"
# # bind-key -T copy-mode-vi y send-keys -X copy-pipe-and-cancel "wl-copy"

bind h select-pane -L
bind j select-pane -D
bind k select-pane -U
bind l select-pane -R
